Error during network evaluation

Hello,

I got this error after running the network evaluation. Any idea what went wrong? Let me know what information you want me to provide to better help you help me solve this. Thanks in advance.

TypeError Traceback (most recent call last)
~/.local/lib/python3.6/site-packages/pandas/core/indexes/multi.py in get_value(self, series, key)
1496 try:
-> 1497 return libindex.get_value_at(s, k)
1498 except IndexError:

pandas/_libs/index.pyx in pandas._libs.index.get_value_at()

pandas/_libs/index.pyx in pandas._libs.index.get_value_at()

pandas/_libs/util.pxd in pandas._libs.util.get_value_at()

pandas/_libs/util.pxd in pandas._libs.util.validate_indexer()

TypeError: ‘str’ object cannot be interpreted as an integer

During handling of the above exception, another exception occurred:

KeyError Traceback (most recent call last)
~/anaconda3/envs/dlc-ubuntu-GPU/lib/python3.6/site-packages/deeplabcut/gui/evaluate_network.py in evaluate_network(self, event)
338 plotting=plotting,
339 show_errors=True,
→ 340 comparisonbodyparts=self.bodyparts,
341 )
342

~/anaconda3/envs/dlc-ubuntu-GPU/lib/python3.6/site-packages/deeplabcut/pose_estimation_tensorflow/evaluate.py in evaluate_network(config, Shuffles, trainingsetindex, plotting, show_errors, comparisonbodyparts, gputouse, rescale, modelprefix, c_engine)
581 gputouse,
582 modelprefix,
→ 583 c_engine=c_engine,
584 )
585 else:

~/anaconda3/envs/dlc-ubuntu-GPU/lib/python3.6/site-packages/deeplabcut/pose_estimation_tensorflow/evaluate_multianimal.py in evaluate_multianimal_full(config, Shuffles, trainingsetindex, plotting, show_errors, comparisonbodyparts, gputouse, modelprefix, c_engine)
265 coords[prfxindex, :] = np.array(
266 [
→ 267 GT[cfg[“scorer”]][prefix][bpt][“x”],
268 GT[cfg[“scorer”]][prefix][bpt][“y”],
269 ]

~/.local/lib/python3.6/site-packages/pandas/core/series.py in getitem(self, key)
869 key = com.apply_if_callable(key, self)
870 try:
→ 871 result = self.index.get_value(self, key)
872
873 if not is_scalar(result):

~/.local/lib/python3.6/site-packages/pandas/core/indexes/multi.py in get_value(self, series, key)
1503 raise InvalidIndexError(key)
1504 else:
-> 1505 raise e1
1506 except Exception: # pragma: no cover
1507 raise e1

~/.local/lib/python3.6/site-packages/pandas/core/indexes/multi.py in get_value(self, series, key)
1487
1488 try:
-> 1489 return self._engine.get_value(s, k)
1490 except KeyError as e1:
1491 try:

pandas/_libs/index.pyx in pandas._libs.index.IndexEngine.get_value()

pandas/_libs/index.pyx in pandas._libs.index.IndexEngine.get_value()

pandas/_libs/index.pyx in pandas._libs.index.IndexEngine.get_loc()

pandas/_libs/index.pyx in pandas._libs.index.BaseMultiIndexCodesEngine.get_loc()

KeyError: ‘lshoulder’

This error was produced as follows.

I had a typo in the body parts of the config file, “lsoulder” instead of “lshoulder”. I found and corrected this typo after i labeled the frames and created my training data. When i changed it back to “lsoulder” the error was resolved.